Du bist nicht angemeldet.

Eine Antwort schreiben

Schreibe deinen Beitrag und versende ihn
Beitragsoptionen
Deine Antwort

Zurück

Themen-Übersicht (Neuester Beitrag zuerst)

Schlummi
25.02.2020 11:51:31

Mit dem heutigen Update auf python-astroid-2.3.3-2 funktioniert python-wrapt auch wieder.

Dank an den Maintainer.

Ich setze den Thread dann auf gelöst.

Schlummi
24.02.2020 12:20:56

@schard

Danke für die Rückmeldung.

Ich hatte schon im englischsprachigen Forum nachgesehen, aber an Github habe ich nicht gedacht.

Dann warten wir mal ab ...


Grüße ... Schlummi

schard
24.02.2020 11:26:43

Ich bin auch bereits auf das Problem gestoßen und habe mir ebenfalls mit einem Downgrade beholfen.
Das Problem scheint in python-astroid zu sitzen:

/usr/lib/python3.8 $ grep -rFl 'wrapt==1.11.*'
site-packages/astroid/__pycache__/__pkginfo__.cpython-38.pyc
site-packages/astroid/__pycache__/__pkginfo__.cpython-38.opt-1.pyc
site-packages/astroid/__pkginfo__.py
site-packages/astroid-2.3.3-py3.8.egg-info/requires.txt

https://github.com/PyCQA/astroid/issues/755

PS: Als Zwischenlösung also: Downgrade.
Langfristig können wir nur warten, bis der, das Problem lösende Pull Request, es in einen Release schafft und dann von den Arch-Devs paketiert wird.
Bis dahin heißt es also: abwarten und Tee trinken. Was ich jetzt auch tun werde. Also Tee trinken.

Schlummi
24.02.2020 10:52:37

Guten Morgen Forum,

seit dem Update auf python-wrapt-1.12.0-1 vom 18.02. funktioniert bei mir pylint nicht mehr.

Mein System ist auf dem aktuellsten Stand.

Ein einfacher Aufruf auf der Konsole ergibt:

#pylint

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (wrapt 1.12.0 (/usr/lib/python3.8/site-packages), Requirement.parse('wrapt==1.11.*'), {'astroid'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pylint", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3254, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3237, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3266, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 586, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 599, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'wrapt==1.11.*' distribution was not found and is required by astroid

Ein Downgrade auf Version python-wrapt-1.11.2-3 bebeht das Problem.

Offensichtlich hat ein anderes Python-Programm ein Problem mit wrapt > 1.11

Hat sonst noch jemand dasselbe Problem, oder eine Lösung ?

Liebe Grüße Schlummi.

Fußzeile des Forums

Powered by FluxBB